      1 ﻿
      2 /**
      3  * @name	CeL function for drag and drop
      4  * @fileoverview
      5  * 本檔案包含了 web drag and drop 的 functions。
      6  * @since
      7  */
      8
      9 /*
     10 http://www.whatwg.org/specs/web-apps/current-work/multipage/dnd.html
     11 https://developer.mozilla.org/en/Using_files_from_web_applications
     12 http://html5demos.com/drag
     13 http://d.hatena.ne.jp/ksy_dev/20100731/p1?sid=810f738005e991c6
     14
     15 */
     16
     17 if (typeof CeL === 'function'){
     18
     19 /**
     20  * 本 module 之 name(id)，<span style="text-decoration:line-through;">不設定時會從呼叫時之 path 取得</span>。
     21  * @type	String
     22  * @constant
     23  * @inner
     24  * @ignore
     25  */
     26 var module_name = 'net.drag_and_drop';
     27
     28 //===================================================
     29 /**
     30  * 若欲 include 整個 module 時，需囊括之 code。
     31  * @type	Function
     32  * @param	{Function} library_namespace	namespace of library
     33  * @param	load_arguments	呼叫時之 argument(s)
     34  * @return
     35  * @name	CeL.net.drag-and-drop
     36  * @constant
     37  * @inner
     38  * @ignore
     39  */
     40 var code_for_including = function(library_namespace, load_arguments) {
     41
     42 //	requires
     43 if (eval(library_namespace.use_function(
     44 		'code.compatibility.is_DOM')))
     45 	return;
     46
     47
     48 /**
     49  * null module constructor
     50  * @class	web drag_and_drop 的 functions
     51  */
     52 CeL.net.drag-and-drop
     53 = function() {
     54 	//	null module constructor
     55 };
     56
     57 /**
     58  * for JSDT: 有 prototype 才會將之當作 Class
     59  */
     60 CeL.net.drag-and-drop
     61 .prototype = {
     62 };
     63
     64
     65
     66 /*
     67 TODO:
     68
     69 */
     70
     71
     72
     73
     74
     75
     76 return (
     77 	CeL.net.drag-and-drop
     78 );
     79 };
     80
     81 //===================================================
     82
     83 CeL.setup_module(module_name, code_for_including);
     84
     85 };
     86